[Overview][Constants][Types][Classes][Index] | Reference for unit 'BlowFish' (#fcl)

# TBlowFishEncryptStream.Seek

Set the position in the stream

## Declaration

Source position: blowfish.pp line 72

`public function TBlowFishEncryptStream.Seek(`
`const Offset: Int64;`
`Origin: TSeekOrigin`
`):Int64; override;`

## Arguments

`Offset` |  | Offset from origin
`Origin` |  | Origin for seek operation

## Function result

New position in the stream

## Description

Read will raise an EBlowFishError exception: TBlowFishEncryptStream is a write-only stream, and cannot be positioned.

## Errors

Calling this function always results in an EBlowFishError exception.

## See also

TBlowFishEncryptStream.Write |  | Write data to the stream

Documentation generated on: Feb 26 2014